import java.io.FileInputStream;
import java.io.InputStream;

class FileInputStreamS {
   public static void main(String[] var0) throws Exception {
      FileInputStream var2 = new FileInputStream("/wwwroot/default.htm");
      int var1 = ((InputStream)var2).available();
      System.out.println("Total Available Bytes:  " + var1);
      System.out.println("First  1/4 of the file:  read()");

      for(int var3 = 0; var3 < var1 / 4; ++var3) {
         System.out.print((char)((InputStream)var2).read());
      }

      System.out.println("Total Still Available:  " + ((InputStream)var2).available());
      System.out.println("Reading the next  1/8:  read(b[])");
      byte[] var4 = new byte[var1 / 8];
      if (((InputStream)var2).read(var4) != var4.length) {
         System.err.println("Something bad happened");
      }

      String var5 = new String(var4, 0, 0, var4.length);
      System.out.println(var5);
      System.out.println("Still Available:  " + ((InputStream)var2).available());
      System.out.println("Skipping another 1/4:  skip()");
      ((InputStream)var2).skip((long)(var1 / 4));
      System.out.println("Still Available:  " + ((InputStream)var2).available());
      System.out.println("Reading 1/16 into the end of array");
      if (((InputStream)var2).read(var4, var4.length - var1 / 16, var1 / 16) != var1 / 16) {
         System.err.println("Something bad happened");
      }

      System.out.println("Still Available:  " + ((InputStream)var2).available());
      ((InputStream)var2).close();
   }
}
